V4MOS API
HomeAPI Reference
Changelog
HomeAPI Reference
Changelog
V4 Marketing
  1. VTEX
  • Guia Rápido
  • Facebook Ads
    • Overview
    • Accounts
    • Ads
    • Ad Sets
    • Campaigns
    • Actions
    • Ad Creatives
    • Demographics
    • Platforms
    • Regions
    • Ad Config
    • Ad Set Config
    • Campaigns Config
  • Google Ads
    • Overview
    • Accounts
    • Ad Group Ads
    • Ad Groups
    • Campaigns
    • Keywords
    • Age Range
    • Gender
    • Geographic
    • Conversions
    • Conversion Segmented Ad Group Ads
    • Conversion Segmented Ad Groups
    • Conversion Segmented Campaigns
    • Campaigns Criterion
    • Ad Group Criterion
  • Google Analytics
    • Overview
    • Sessions
    • Events
    • Custom Events
    • Customers
    • Products
    • Transactions
  • Tray
    • Overview
    • Customers
    • Orders
    • Products
  • Shopify
    • Overview
    • Customers
    • Orders
    • Order Items
    • Products
  • Kommo
    • Overview
    • Leads
    • Contacts
    • Pipelines
    • Users
  • HubSpot
    • Overview
    • Contacts
    • Deals
    • Companies
    • Pipelines
    • Products
  • VTEX
    • Customers
      GET
    • Orders
      GET
    • Order items
      GET
  1. VTEX

Order items

GET
https://api.data.v4.marketing/v1/vtex/orders/items
Retrieve VTEX order line items with SKU, pricing, brand, and commission data.

Requisição

Authorization
or
Parâmetros de Consulta

Respostas

🟢200
application/json
VTEX order items response
Bodyapplication/json

🟠400
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.data.v4.marketing/v1/vtex/orders/items?organizationId=org_123&userId=undefined&integrationName=undefined&orderId=undefined&dateStart=undefined&dateEnd=undefined&page=undefined&limit=undefined' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>'
Response Response Example
200 - Exemplo 1
{
    "data": [
        {
            "order_id": "string",
            "unique_id": "string",
            "id": "string",
            "product_id": "string",
            "ean": "string",
            "quantity": 0,
            "seller": "string",
            "name": "string",
            "price": 0,
            "selling_price": 0,
            "brand_name": "string",
            "brand_id": "string",
            "measurement_unit": "string",
            "unit_multiplier": 0,
            "image_url": "string",
            "detail_url": "string",
            "commission": 0,
            "tax": 0,
            "cost_price": 0,
            "integration_id": "string",
            "organization_id": "string",
            "organization_id_legacy": "string",
            "user_id": "string",
            "document_id": "string",
            "inserted_at": "2019-08-24T14:15:22.123Z",
            "integration_name": "string"
        }
    ],
    "meta": {
        "page": 0,
        "limit": 0,
        "hasNextPage": true,
        "hasPreviousPage": true
    }
}
Modificado em 2026-06-15 17:34:00
Página anterior
Orders
Built with